import request from '@/utils/request'

// 列表
export function list(data) {
  return request({
    url: `/admin/tBroadcast/list`,
    method: 'post',
    data
  })
}

// 地域 / 内容分类
export function options(type) {
  return request({
    url: `/admin/tBroadcast/getAddOrContentlist/${type}`,
    method: 'get'
  })
}

// 新增 编辑
export function submit(data) {
  return request({
    url: `/admin/tBroadcast/addOrUpdate`,
    method: 'post',
    data
  })
}

// 详情
export function detail(id) {
  return request({
    url: `/admin/tBroadcast/queryById/${id}`,
    method: 'get'
  })
}

// 删除
export function remove(id) {
  return request({
    url: `/admin/tBroadcast/remove/${id}`,
    method: 'delete'
  })
}

// 上下架
export function change(id, status){
  return request({
    url: `/admin/tBroadcast/hitOrSold/${id}/${status}`,
    method: 'get'
  })
}